package com.mortals.xhx.base.system.user.model;
import com.mortals.xhx.base.system.user.model.vo.UserPwdRecordVo;
import lombok.Data;

/**
* 用户密码修改记录实体对象
*
* @author zxfei
* @date 2023-07-26
*/
@Data
public class UserPwdRecordEntity extends UserPwdRecordVo {
    private static final long serialVersionUID = 1L;

    /**
    * 用户ID，主键，自增长
    */
    private Long userId;
    /**
    * 登录名
    */
    private String loginName;
    /**
    * 登录密码，使用md5双次加密
    */
    private String loginPwd;
    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof UserPwdRecordEntity) {
            UserPwdRecordEntity tmp = (UserPwdRecordEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public void initAttrValue(){

            this.userId = -1L;

            this.loginName = "";

            this.loginPwd = "";
    }
}