package com.mortals.xhx.module.message.model;

import java.util.List;
/**
* 客户建议信息查询对象
*
* @author zxfei
* @date 2022-06-29
*/
public class MessageQuery extends MessageEntity {
    /** 开始 消息ID，主键，自增长 */
    private Long idStart;

    /** 结束 消息ID，主键，自增长 */
    private Long idEnd;

    /** 增加 消息ID，主键，自增长 */
    private Long idIncrement;

    /** 消息ID，主键，自增长列表 */
    private List <Long> idList;

    /** 消息标题 */
    private List<String> titleList;

    /** 消息内容 */
    private List<String> contentList;

    /** 开始 发送方式1站内发送2短信发送3同时发送 */
    private Integer sendModeStart;

    /** 结束 发送方式1站内发送2短信发送3同时发送 */
    private Integer sendModeEnd;

    /** 增加 发送方式1站内发送2短信发送3同时发送 */
    private Integer sendModeIncrement;

    /** 发送方式1站内发送2短信发送3同时发送列表 */
    private List <Integer> sendModeList;

    /** 开始 可见范围1所有人可见2VIP可见3普通用户可见 */
    private Integer scopeStart;

    /** 结束 可见范围1所有人可见2VIP可见3普通用户可见 */
    private Integer scopeEnd;

    /** 增加 可见范围1所有人可见2VIP可见3普通用户可见 */
    private Integer scopeIncrement;

    /** 可见范围1所有人可见2VIP可见3普通用户可见列表 */
    private List <Integer> scopeList;

    /** 开始 发送状态0未发送1已发送 */
    private Integer sendStatusStart;

    /** 结束 发送状态0未发送1已发送 */
    private Integer sendStatusEnd;

    /** 增加 发送状态0未发送1已发送 */
    private Integer sendStatusIncrement;

    /** 发送状态0未发送1已发送列表 */
    private List <Integer> sendStatusList;

    /** 开始 发送时间 */
    private String sendTimeStart;

    /** 结束 发送时间 */
    private String sendTimeEnd;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户名称 */
    private List<String> createUserNameList;

    /** 开始 消息类型1标题消息2动态消息 */
    private Integer messageTypeStart;

    /** 结束 消息类型1标题消息2动态消息 */
    private Integer messageTypeEnd;

    /** 增加 消息类型1标题消息2动态消息 */
    private Integer messageTypeIncrement;

    /** 消息类型1标题消息2动态消息列表 */
    private List <Integer> messageTypeList;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<MessageQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<MessageQuery> andConditionList;

    public MessageQuery(){}

    /**
    * 获取 开始 消息ID，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 消息ID，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 消息ID，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 消息ID，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 消息ID，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 消息ID，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 消息ID，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 消息ID，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 消息标题
    * @return titleList
    */
    public List<String> getTitleList(){
        return this.titleList;
    }

    /**
    * 设置 消息标题
    * @param titleList
    */
    public void setTitleList(List<String> titleList){
        this.titleList = titleList;
    }
    /**
    * 获取 消息内容
    * @return contentList
    */
    public List<String> getContentList(){
        return this.contentList;
    }

    /**
    * 设置 消息内容
    * @param contentList
    */
    public void setContentList(List<String> contentList){
        this.contentList = contentList;
    }
    /**
    * 获取 开始 发送方式1站内发送2短信发送3同时发送
    * @return sendModeStart
    */
    public Integer getSendModeStart(){
        return this.sendModeStart;
    }

    /**
    * 设置 开始 发送方式1站内发送2短信发送3同时发送
    * @param sendModeStart
    */
    public void setSendModeStart(Integer sendModeStart){
        this.sendModeStart = sendModeStart;
    }

    /**
    * 获取 结束 发送方式1站内发送2短信发送3同时发送
    * @return $sendModeEnd
    */
    public Integer getSendModeEnd(){
        return this.sendModeEnd;
    }

    /**
    * 设置 结束 发送方式1站内发送2短信发送3同时发送
    * @param sendModeEnd
    */
    public void setSendModeEnd(Integer sendModeEnd){
        this.sendModeEnd = sendModeEnd;
    }

    /**
    * 获取 增加 发送方式1站内发送2短信发送3同时发送
    * @return sendModeIncrement
    */
    public Integer getSendModeIncrement(){
        return this.sendModeIncrement;
    }

    /**
    * 设置 增加 发送方式1站内发送2短信发送3同时发送
    * @param sendModeIncrement
    */
    public void setSendModeIncrement(Integer sendModeIncrement){
        this.sendModeIncrement = sendModeIncrement;
    }

    /**
    * 获取 发送方式1站内发送2短信发送3同时发送
    * @return sendModeList
    */
    public List<Integer> getSendModeList(){
        return this.sendModeList;
    }

    /**
    * 设置 发送方式1站内发送2短信发送3同时发送
    * @param sendModeList
    */
    public void setSendModeList(List<Integer> sendModeList){
        this.sendModeList = sendModeList;
    }

    /**
    * 获取 开始 可见范围1所有人可见2VIP可见3普通用户可见
    * @return scopeStart
    */
    public Integer getScopeStart(){
        return this.scopeStart;
    }

    /**
    * 设置 开始 可见范围1所有人可见2VIP可见3普通用户可见
    * @param scopeStart
    */
    public void setScopeStart(Integer scopeStart){
        this.scopeStart = scopeStart;
    }

    /**
    * 获取 结束 可见范围1所有人可见2VIP可见3普通用户可见
    * @return $scopeEnd
    */
    public Integer getScopeEnd(){
        return this.scopeEnd;
    }

    /**
    * 设置 结束 可见范围1所有人可见2VIP可见3普通用户可见
    * @param scopeEnd
    */
    public void setScopeEnd(Integer scopeEnd){
        this.scopeEnd = scopeEnd;
    }

    /**
    * 获取 增加 可见范围1所有人可见2VIP可见3普通用户可见
    * @return scopeIncrement
    */
    public Integer getScopeIncrement(){
        return this.scopeIncrement;
    }

    /**
    * 设置 增加 可见范围1所有人可见2VIP可见3普通用户可见
    * @param scopeIncrement
    */
    public void setScopeIncrement(Integer scopeIncrement){
        this.scopeIncrement = scopeIncrement;
    }

    /**
    * 获取 可见范围1所有人可见2VIP可见3普通用户可见
    * @return scopeList
    */
    public List<Integer> getScopeList(){
        return this.scopeList;
    }

    /**
    * 设置 可见范围1所有人可见2VIP可见3普通用户可见
    * @param scopeList
    */
    public void setScopeList(List<Integer> scopeList){
        this.scopeList = scopeList;
    }

    /**
    * 获取 开始 发送状态0未发送1已发送
    * @return sendStatusStart
    */
    public Integer getSendStatusStart(){
        return this.sendStatusStart;
    }

    /**
    * 设置 开始 发送状态0未发送1已发送
    * @param sendStatusStart
    */
    public void setSendStatusStart(Integer sendStatusStart){
        this.sendStatusStart = sendStatusStart;
    }

    /**
    * 获取 结束 发送状态0未发送1已发送
    * @return $sendStatusEnd
    */
    public Integer getSendStatusEnd(){
        return this.sendStatusEnd;
    }

    /**
    * 设置 结束 发送状态0未发送1已发送
    * @param sendStatusEnd
    */
    public void setSendStatusEnd(Integer sendStatusEnd){
        this.sendStatusEnd = sendStatusEnd;
    }

    /**
    * 获取 增加 发送状态0未发送1已发送
    * @return sendStatusIncrement
    */
    public Integer getSendStatusIncrement(){
        return this.sendStatusIncrement;
    }

    /**
    * 设置 增加 发送状态0未发送1已发送
    * @param sendStatusIncrement
    */
    public void setSendStatusIncrement(Integer sendStatusIncrement){
        this.sendStatusIncrement = sendStatusIncrement;
    }

    /**
    * 获取 发送状态0未发送1已发送
    * @return sendStatusList
    */
    public List<Integer> getSendStatusList(){
        return this.sendStatusList;
    }

    /**
    * 设置 发送状态0未发送1已发送
    * @param sendStatusList
    */
    public void setSendStatusList(List<Integer> sendStatusList){
        this.sendStatusList = sendStatusList;
    }

    /**
    * 获取 开始 发送时间
    * @return sendTimeStart
    */
    public String getSendTimeStart(){
        return this.sendTimeStart;
    }

    /**
    * 设置 开始 发送时间
    * @param sendTimeStart
    */
    public void setSendTimeStart(String sendTimeStart){
        this.sendTimeStart = sendTimeStart;
    }

    /**
    * 获取 结束 发送时间
    * @return sendTimeEnd
    */
    public String getSendTimeEnd(){
        return this.sendTimeEnd;
    }

    /**
    * 设置 结束 发送时间
    * @param sendTimeEnd
    */
    public void setSendTimeEnd(String sendTimeEnd){
        this.sendTimeEnd = sendTimeEnd;
    }

    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建用户名称
    * @return createUserNameList
    */
    public List<String> getCreateUserNameList(){
        return this.createUserNameList;
    }

    /**
    * 设置 创建用户名称
    * @param createUserNameList
    */
    public void setCreateUserNameList(List<String> createUserNameList){
        this.createUserNameList = createUserNameList;
    }
    /**
    * 获取 开始 消息类型1标题消息2动态消息
    * @return messageTypeStart
    */
    public Integer getMessageTypeStart(){
        return this.messageTypeStart;
    }

    /**
    * 设置 开始 消息类型1标题消息2动态消息
    * @param messageTypeStart
    */
    public void setMessageTypeStart(Integer messageTypeStart){
        this.messageTypeStart = messageTypeStart;
    }

    /**
    * 获取 结束 消息类型1标题消息2动态消息
    * @return $messageTypeEnd
    */
    public Integer getMessageTypeEnd(){
        return this.messageTypeEnd;
    }

    /**
    * 设置 结束 消息类型1标题消息2动态消息
    * @param messageTypeEnd
    */
    public void setMessageTypeEnd(Integer messageTypeEnd){
        this.messageTypeEnd = messageTypeEnd;
    }

    /**
    * 获取 增加 消息类型1标题消息2动态消息
    * @return messageTypeIncrement
    */
    public Integer getMessageTypeIncrement(){
        return this.messageTypeIncrement;
    }

    /**
    * 设置 增加 消息类型1标题消息2动态消息
    * @param messageTypeIncrement
    */
    public void setMessageTypeIncrement(Integer messageTypeIncrement){
        this.messageTypeIncrement = messageTypeIncrement;
    }

    /**
    * 获取 消息类型1标题消息2动态消息
    * @return messageTypeList
    */
    public List<Integer> getMessageTypeList(){
        return this.messageTypeList;
    }

    /**
    * 设置 消息类型1标题消息2动态消息
    * @param messageTypeList
    */
    public void setMessageTypeList(List<Integer> messageTypeList){
        this.messageTypeList = messageTypeList;
    }

    /**
    * 设置  消息ID，主键，自增长
    * @param id
    */
    public MessageQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 消息ID，主键，自增长
    * @param idStart
    */
    public MessageQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 消息ID，主键，自增长
    * @param idEnd
    */
    public MessageQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 消息ID，主键，自增长
    * @param idIncrement
    */
    public MessageQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 消息ID，主键，自增长
    * @param idList
    */
    public MessageQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }


	/**
    * 设置 消息标题
    * @param title
    */
    public MessageQuery title(String title){
        setTitle(title);
		return this;
    }

    /**
    * 设置 消息标题
    * @param titleList
    */
    public MessageQuery titleList(List<String> titleList){
        this.titleList = titleList;
		return this;
    }


	/**
    * 设置 消息内容
    * @param content
    */
    public MessageQuery content(String content){
        setContent(content);
		return this;
    }

    /**
    * 设置 消息内容
    * @param contentList
    */
    public MessageQuery contentList(List<String> contentList){
        this.contentList = contentList;
		return this;
    }

    /**
    * 设置  发送方式1站内发送2短信发送3同时发送
    * @param sendMode
    */
    public MessageQuery sendMode(Integer sendMode){
	    setSendMode(sendMode);
		return this;
    }
	
	 /**
    * 设置 开始 发送方式1站内发送2短信发送3同时发送
    * @param sendModeStart
    */
    public MessageQuery sendModeStart(Integer sendModeStart){
		this.sendModeStart = sendModeStart;
		return this;
    }

    /**
    * 设置 结束 发送方式1站内发送2短信发送3同时发送
    * @param sendModeEnd
    */
    public MessageQuery sendModeEnd(Integer sendModeEnd){
		this.sendModeEnd = sendModeEnd;
		return this;
    }

    /**
    * 设置 增加 发送方式1站内发送2短信发送3同时发送
    * @param sendModeIncrement
    */
    public MessageQuery sendModeIncrement(Integer sendModeIncrement){
		this.sendModeIncrement = sendModeIncrement;
		return this;
    }

    /**
    * 设置 发送方式1站内发送2短信发送3同时发送
    * @param sendModeList
    */
    public MessageQuery sendModeList(List<Integer> sendModeList){
        this.sendModeList = sendModeList;
		return this;
        }

    /**
    * 设置  可见范围1所有人可见2VIP可见3普通用户可见
    * @param scope
    */
    public MessageQuery scope(Integer scope){
	    setScope(scope);
		return this;
    }
	
	 /**
    * 设置 开始 可见范围1所有人可见2VIP可见3普通用户可见
    * @param scopeStart
    */
    public MessageQuery scopeStart(Integer scopeStart){
		this.scopeStart = scopeStart;
		return this;
    }

    /**
    * 设置 结束 可见范围1所有人可见2VIP可见3普通用户可见
    * @param scopeEnd
    */
    public MessageQuery scopeEnd(Integer scopeEnd){
		this.scopeEnd = scopeEnd;
		return this;
    }

    /**
    * 设置 增加 可见范围1所有人可见2VIP可见3普通用户可见
    * @param scopeIncrement
    */
    public MessageQuery scopeIncrement(Integer scopeIncrement){
		this.scopeIncrement = scopeIncrement;
		return this;
    }

    /**
    * 设置 可见范围1所有人可见2VIP可见3普通用户可见
    * @param scopeList
    */
    public MessageQuery scopeList(List<Integer> scopeList){
        this.scopeList = scopeList;
		return this;
        }

    /**
    * 设置  发送状态0未发送1已发送
    * @param sendStatus
    */
    public MessageQuery sendStatus(Integer sendStatus){
	    setSendStatus(sendStatus);
		return this;
    }
	
	 /**
    * 设置 开始 发送状态0未发送1已发送
    * @param sendStatusStart
    */
    public MessageQuery sendStatusStart(Integer sendStatusStart){
		this.sendStatusStart = sendStatusStart;
		return this;
    }

    /**
    * 设置 结束 发送状态0未发送1已发送
    * @param sendStatusEnd
    */
    public MessageQuery sendStatusEnd(Integer sendStatusEnd){
		this.sendStatusEnd = sendStatusEnd;
		return this;
    }

    /**
    * 设置 增加 发送状态0未发送1已发送
    * @param sendStatusIncrement
    */
    public MessageQuery sendStatusIncrement(Integer sendStatusIncrement){
		this.sendStatusIncrement = sendStatusIncrement;
		return this;
    }

    /**
    * 设置 发送状态0未发送1已发送
    * @param sendStatusList
    */
    public MessageQuery sendStatusList(List<Integer> sendStatusList){
        this.sendStatusList = sendStatusList;
		return this;
        }



    /**
    * 设置  创建用户
    * @param createUserId
    */
    public MessageQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public MessageQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public MessageQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public MessageQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public MessageQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }


	/**
    * 设置 创建用户名称
    * @param createUserName
    */
    public MessageQuery createUserName(String createUserName){
        setCreateUserName(createUserName);
		return this;
    }

    /**
    * 设置 创建用户名称
    * @param createUserNameList
    */
    public MessageQuery createUserNameList(List<String> createUserNameList){
        this.createUserNameList = createUserNameList;
		return this;
    }

    /**
    * 设置  消息类型1标题消息2动态消息
    * @param messageType
    */
    public MessageQuery messageType(Integer messageType){
	    setMessageType(messageType);
		return this;
    }
	
	 /**
    * 设置 开始 消息类型1标题消息2动态消息
    * @param messageTypeStart
    */
    public MessageQuery messageTypeStart(Integer messageTypeStart){
		this.messageTypeStart = messageTypeStart;
		return this;
    }

    /**
    * 设置 结束 消息类型1标题消息2动态消息
    * @param messageTypeEnd
    */
    public MessageQuery messageTypeEnd(Integer messageTypeEnd){
		this.messageTypeEnd = messageTypeEnd;
		return this;
    }

    /**
    * 设置 增加 消息类型1标题消息2动态消息
    * @param messageTypeIncrement
    */
    public MessageQuery messageTypeIncrement(Integer messageTypeIncrement){
		this.messageTypeIncrement = messageTypeIncrement;
		return this;
    }

    /**
    * 设置 消息类型1标题消息2动态消息
    * @param messageTypeList
    */
    public MessageQuery messageTypeList(List<Integer> messageTypeList){
        this.messageTypeList = messageTypeList;
		return this;
        }

    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<MessageQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<MessageQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<MessageQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<MessageQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}